Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.interop
Class RMInteropServiceCallbackHandler

    java.lang.Object
      org.apache.sandesha2.interop.RMInteropServiceCallbackHandler

Direct Known Subclasses:
  RMInteropServiceCallbackHandlerImpl

    public abstract class RMInteropServiceCallbackHandler

extends java.lang.Object

RMInteropServiceCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

Field Summary
`protected java.lang.Object` | `clientData`

Constructor Summary
`RMInteropServiceCallbackHandler()` Please use this constructor if you don't want to set any clientData
`RMInteropServiceCallbackHandler(java.lang.Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

Method Summary
`java.lang.Object` | `getClientData()` Get the client data
`void` | `receiveErrorEchoString(java.lang.Exception e)` auto generated Axis2 Error handler
`void` | `receiveResultEchoString(org.tempuri.EchoStringResponse param28)` auto generated Axis2 call back method for EchoString method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clientData

    protected java.lang.Object clientData

Constructor Detail

### RMInteropServiceCallbackHandler

    public RMInteropServiceCallbackHandler(java.lang.Object clientData)

  User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  Parameters:
    `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

### RMInteropServiceCallbackHandler

    public RMInteropServiceCallbackHandler()

  Please use this constructor if you don't want to set any clientData

Method Detail

### getClientData

    public java.lang.Object getClientData()

  Get the client data

### receiveResultEchoString

    public void receiveResultEchoString(org.tempuri.EchoStringResponse param28)

  auto generated Axis2 call back method for EchoString method

### receiveErrorEchoString

    public void receiveErrorEchoString(java.lang.Exception e)

  auto generated Axis2 Error handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.